<?php

namespace QUI\InviteCode;

use Exception;
use QUI\InviteCode\Handler;

/**
 * Class Cron
 *
 * Cronjobs for quiqqer/invitecode
 */
class Cron
{
    /**
     * Delete all expired invite codes
     *
     * @param array $params - Cron params
     * @throws Exception
     */
    public static function deleteExpiredInviteCodes($params): void
    {
        $days = null;

        if (!empty($params['days'])) {
            $days = (int)$params['days'];
        }

        Handler::deleteExpiredInviteCodes($days);
    }

    /**
     * Delete all redeemed invite codes
     *
     * @param array $params - Cron params
     * @throws Exception
     */
    public static function deleteRedeemedInviteCodes($params): void
    {
        $days = null;

        if (!empty($params['days'])) {
            $days = (int)$params['days'];
        }

        Handler::deleteRedeemedInviteCodes($days);
    }
}
